/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20180427 (64-bit version)(RM)
 * Copyright (c) 2000 - 2018 Intel Corporation
 * 
 * Disassembling to non-symbolic legacy ASL operators
 *
 * Disassembly of SSDT-12.aml, Thu Feb  8 08:46:12 2024
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x0000013E (318)
 *     Revision         0x02
 *     Checksum         0x15
 *     OEM ID           "CORP"
 *     OEM Table ID     "HPET"
 *     OEM Revision     0x00000000 (0)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20230628 (539166248)
 */
DefinitionBlock ("", "SSDT", 2, "CORP", "HPET", 0x00000000)
{
    /*
     * External declarations were imported from
     * a reference file -- DSDT.aml
     */

    External (_SB_.PC00.LPCB.HPET, DeviceObj)    // (from opcode)
    External (_SB_.PC00.LPCB.HPET.XCRS, MethodObj)    // 0 Arguments (from opcode)
    External (_SB_.PC00.LPCB.HPET.XSTA, MethodObj)    // 0 Arguments (from opcode)

    Scope (\_SB.PC00.LPCB.HPET)
    {
        Name (BUFX, ResourceTemplate ()
        {
            IRQNoFlags ()
                {0,8,11}
            Memory32Fixed (ReadWrite,
                0xFED00000,         // Address Base
                0x00000400,         // Address Length
                )
        })
        Method (_CRS, 0, Serialized)  // _CRS: Current Resource Settings
        {
            If (LOr (_OSI ("Darwin"), LNot (CondRefOf (\_SB.PC00.LPCB.HPET.XCRS))))
            {
                Return (BUFX)
            }

            Return (\_SB.PC00.LPCB.HPET.XCRS ())
        }

        Method (_STA, 0, NotSerialized)  // _STA: Status
        {
            If (LOr (_OSI ("Darwin"), LNot (CondRefOf (\_SB.PC00.LPCB.HPET.XSTA))))
            {
                Return (0x0F)
            }

            Return (\_SB.PC00.LPCB.HPET.XSTA ())
        }
    }
}

