/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20180427 (64-bit version)(RM)
 * Copyright (c) 2000 - 2018 Intel Corporation
 * 
 * Disassembling to non-symbolic legacy ASL operators
 *
 * Disassembly of SSDT.aml, Thu Feb  8 08:46:12 2024
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x000025E8 (9704)
 *     Revision         0x02
 *     Checksum         0xDC
 *     OEM ID           "CpuRef"
 *     OEM Table ID     "CpuSsdt"
 *     OEM Revision     0x00003000 (12288)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20180209 (538444297)
 */
DefinitionBlock ("", "SSDT", 2, "CpuRef", "CpuSsdt", 0x00003000)
{
    /*
     * External declarations were imported from
     * a reference file -- DSDT.aml
     */

    External (_SB_.OSCP, IntObj)    // (from opcode)
    External (_SB_.PR00, DeviceObj)    // (from opcode)
    External (_SB_.PR01, DeviceObj)    // (from opcode)
    External (_SB_.PR02, DeviceObj)    // (from opcode)
    External (_SB_.PR03, DeviceObj)    // (from opcode)
    External (_SB_.PR04, DeviceObj)    // (from opcode)
    External (_SB_.PR05, DeviceObj)    // (from opcode)
    External (_SB_.PR06, DeviceObj)    // (from opcode)
    External (_SB_.PR07, DeviceObj)    // (from opcode)
    External (_SB_.PR08, DeviceObj)    // (from opcode)
    External (_SB_.PR09, DeviceObj)    // (from opcode)
    External (_SB_.PR10, DeviceObj)    // (from opcode)
    External (_SB_.PR11, DeviceObj)    // (from opcode)
    External (_SB_.PR12, DeviceObj)    // (from opcode)
    External (_SB_.PR13, DeviceObj)    // (from opcode)
    External (_SB_.PR14, DeviceObj)    // (from opcode)
    External (_SB_.PR15, DeviceObj)    // (from opcode)
    External (_SB_.PR16, DeviceObj)    // (from opcode)
    External (_SB_.PR17, DeviceObj)    // (from opcode)
    External (_SB_.PR18, DeviceObj)    // (from opcode)
    External (_SB_.PR19, DeviceObj)    // (from opcode)
    External (_SB_.PR20, DeviceObj)    // (from opcode)
    External (_SB_.PR21, DeviceObj)    // (from opcode)
    External (_SB_.PR22, DeviceObj)    // (from opcode)
    External (_SB_.PR23, DeviceObj)    // (from opcode)
    External (OSYS, UnknownObj)    // (from opcode)

    Scope (\)
    {
        Name (SSDT, Package (0x1B)
        {
            "CPU0IST ", 
            0x691BE518, 
            0x00000581, 
            "APIST   ", 
            0x6917F018, 
            0x000008E7, 
            "CPU0CST ", 
            0x6917FA98, 
            0x00000394, 
            "APCST   ", 
            0x6917E018, 
            0x0000048A, 
            "CPU0HWP ", 
            0x69180298, 
            0x000002F4, 
            "APHWP   ", 
            0x6917E698, 
            0x0000048A, 
            "HWPLVT  ", 
            0x80000000, 
            0x80000000, 
            "CPU0PSD ", 
            0x69180018, 
            0x000001CB, 
            "APPSD   ", 
            0x69180698, 
            0x000004D4
        })
        Name (\PF00, 0x80000000)
        Name (\PF01, 0x80000000)
        Name (\PF02, 0x80000000)
        Name (\PF03, 0x80000000)
        Name (\PF04, 0x80000000)
        Name (\PF05, 0x80000000)
        Name (\PF06, 0x80000000)
        Name (\PF07, 0x80000000)
        Name (\PF08, 0x80000000)
        Name (\PF09, 0x80000000)
        Name (\PF10, 0x80000000)
        Name (\PF11, 0x80000000)
        Name (\PF12, 0x80000000)
        Name (\PF13, 0x80000000)
        Name (\PF14, 0x80000000)
        Name (\PF15, 0x80000000)
        Name (\PF16, 0x80000000)
        Name (\PF17, 0x80000000)
        Name (\PF18, 0x80000000)
        Name (\PF19, 0x80000000)
        Name (\PF20, 0x80000000)
        Name (\PF21, 0x80000000)
        Name (\PF22, 0x80000000)
        Name (\PF23, 0x80000000)
        Name (\SDTL, Zero)
    }

    Scope (\_SB)
    {
        Name (CTPC, Zero)
        OperationRegion (PNVS, SystemMemory, 0x694DF000, 0x0065)
        Field (PNVS, AnyAcc, Lock, Preserve)
        {
            PGRV,   8, 
            CFGD,   32, 
            Offset (0x06), 
            ACRT,   8, 
            APSV,   8, 
            AAC0,   8, 
            CPID,   32, 
            CPPC,   8, 
            CLVL,   8, 
            CBMI,   8, 
            PL10,   16, 
            PL11,   16, 
            PL12,   16, 
            PL20,   16, 
            PL21,   16, 
            PL22,   16, 
            PLW0,   8, 
            PLW1,   8, 
            PLW2,   8, 
            CTC0,   8, 
            CTC1,   8, 
            CTC2,   8, 
            TAR0,   8, 
            TAR1,   8, 
            TAR2,   8, 
            PPC0,   8, 
            PPC1,   8, 
            PPC2,   8, 
            Offset (0x29), 
            C6MW,   8, 
            C7MW,   8, 
            CDMW,   8, 
            Offset (0x2E), 
            C6LT,   16, 
            C7LT,   16, 
            CDLT,   16, 
            CDLV,   16, 
            CDPW,   16, 
            MPMF,   8, 
            DTSE,   8, 
            DTSF,   8, 
            PDTS,   8, 
            PKGA,   8, 
            DSIA,   16, 
            DSIL,   8, 
            DSAE,   8, 
            EPCS,   8, 
            EMNA,   64, 
            ELNG,   64, 
            HWPV,   8, 
            HWPI,   8, 
            DTSI,   8, 
            LMPS,   8, 
            ITBM,   8, 
            ITBD,   8, 
            ITBI,   8, 
            ITBS,   8, 
            OBIN,   8, 
            TXTE,   8, 
            HWPE,   8, 
            HTRO,   8, 
            CORE,   32, 
            MDID,   8, 
            SCNT,   8, 
            BCNT,   8
        }

        OperationRegion (BGNV, SystemMemory, 0xFFFF0000, 0xAA55)
        Field (BGNV, AnyAcc, Lock, Preserve)
        {
            BGMA,   64, 
            BGMS,   8, 
            BGIA,   16, 
            BGIL,   16
        }

        OperationRegion (IO_D, SystemIO, \_SB.DSIA, \_SB.DSIL)
        Field (IO_D, ByteAcc, NoLock, Preserve)
        {
            TRPD,   8
        }

        If (CondRefOf (\_SB.BGIL))
        {
            If (LNotEqual (\_SB.BGIL, Zero))
            {
                OperationRegion (IO_P, SystemIO, \_SB.BGIA, \_SB.BGIL)
                Field (IO_P, ByteAcc, NoLock, Preserve)
                {
                    TRPF,   8
                }
            }
        }
    }

    Scope (\_SB.PR00)
    {
        Name (HI0, Zero)
        Name (HC0, Zero)
        Name (HW0, Zero)
        Name (HW2, Zero)
        Name (HP0, Zero)
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (CPDC, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, REVS)
            CreateDWordField (Arg0, 0x04, SIZE)
            Store (SizeOf (Arg0), Local0)
            Store (Subtract (Local0, 0x08), Local1)
            CreateField (Arg0, 0x40, Multiply (Local1, 0x08), TEMP)
            Store (Buffer (0x04)
                {
                     0x00, 0x00, 0x00, 0x00                         
                }, Local3)
            Concatenate (Local3, TEMP, Local2)
            Return (COSC (ToUUID ("4077a616-290c-47be-9ebd-d87058713953"), REVS, SIZE, Local2))
        }

        Method (COSC, 4, NotSerialized)
        {
            CreateDWordField (Arg3, Zero, STS0)
            CreateDWordField (Arg0, Zero, IID0)
            CreateDWordField (Arg0, 0x04, IID1)
            CreateDWordField (Arg0, 0x08, IID2)
            CreateDWordField (Arg0, 0x0C, IID3)
            Store (ToUUID ("4077a616-290c-47be-9ebd-d87058713953"), Local0)
            CreateDWordField (Local0, Zero, EID0)
            CreateDWordField (Local0, 0x04, EID1)
            CreateDWordField (Local0, 0x08, EID2)
            CreateDWordField (Local0, 0x0C, EID3)
            If (LNot (LAnd (LAnd (LEqual (IID0, EID0), LEqual (IID1, EID1)), LAnd (LEqual (IID2, EID2), LEqual (IID3, EID3)))))
            {
                Store (0x06, STS0)
                Return (Arg3)
            }

            If (LNotEqual (Arg1, One))
            {
                Store (0x0A, STS0)
                Return (Arg3)
            }

            Return (Arg3)
        }

        Method (GCAP, 1, Serialized)
        {
            CreateDWordField (Arg0, Zero, STS0)
            CreateDWordField (Arg0, 0x04, CAP0)
            If (LOr (LEqual (STS0, 0x06), LEqual (STS0, 0x0A)))
            {
                Return (Zero)
            }

            If (And (STS0, One))
            {
                And (CAP0, 0x0BFF, CAP0)
                Return (Zero)
            }

            Or (And (PF00, 0x7FFFFFFF), CAP0, PF00)
            If (And (CFGD, 0x72))
            {
                If (LAnd (LAnd (And (CFGD, 0x0200), And (PF00, 0x18)), LNot (And (SDTL, 0x02))))
                {
                    Or (SDTL, 0x02, SDTL)
                    OperationRegion (CST0, SystemMemory, DerefOf (Index (SSDT, 0x07)), DerefOf (Index (SSDT, 0x08)))
                    Load (CST0, HC0)
                }
            }

            If (LEqual (And (PF00, 0x09), 0x09))
            {
                If (LAnd (And (CFGD, One), LNot (And (SDTL, 0x08))))
                {
                    Or (SDTL, 0x08, SDTL)
                    OperationRegion (IST0, SystemMemory, DerefOf (Index (SSDT, One)), DerefOf (Index (SSDT, 0x02)))
                    Load (IST0, HI0)
                }
            }

            If (LAnd (LOr (And (CFGD, One), And (CFGD, 0x00400000)), LNot (And (SDTL, 0x0100))))
            {
                Or (SDTL, 0x0100, SDTL)
                OperationRegion (PSD0, SystemMemory, DerefOf (Index (SSDT, 0x16)), DerefOf (Index (SSDT, 0x17)))
                Load (PSD0, HP0)
            }

            If (LGreaterEqual (OSYS, 0x07DF))
            {
                If (LAnd (And (CFGD, 0x00400000), LNot (And (SDTL, 0x40))))
                {
                    If (And (\_SB.OSCP, 0x40))
                    {
                        Or (SDTL, 0x40, SDTL)
                        OperationRegion (HWP0, SystemMemory, DerefOf (Index (SSDT, 0x0D)), DerefOf (Index (SSDT, 0x0E)))
                        Load (HWP0, HW0)
                    }

                    If (And (\_SB.OSCP, 0x20))
                    {
                        If (LNot (And (\_SB.OSCP, 0x40)))
                        {
                            Store (Zero, HWPV)
                        }
                    }

                    If (And (\_SB.OSCP, 0x40))
                    {
                        Store (0x02, HWPV)
                    }
                }
            }

            OperationRegion (SMIP, SystemIO, 0xB2, One)
            Field (SMIP, ByteAcc, NoLock, Preserve)
            {
                IOB2,   8
            }

            If (LAnd (LEqual (\_SB.ITBM, One), And (\_SB.CFGD, 0x00400000)))
            {
                If (LAnd (LNotEqual (\_SB.ITBS, Zero), And (\_SB.OSCP, 0x1000)))
                {
                    Store (ITBS, IOB2)
                }
            }

            Return (Zero)
        }
    }

    Scope (\_SB.PR01)
    {
        Name (HI1, Zero)
        Name (HC1, Zero)
        Name (HW1, Zero)
        Name (HP1, Zero)
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST01)
            CreateDWordField (Arg0, 0x04, CP01)
            If (LOr (LEqual (ST01, 0x06), LEqual (ST01, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST01, One))
            {
                And (CP01, 0x0BFF, CP01)
                Return (Zero)
            }

            Or (And (PF01, 0x7FFFFFFF), CP01, PF01)
            If (LEqual (And (PF01, 0x09), 0x09))
            {
                APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                HWPT ()
            }

            If (LOr (LEqual (And (PF01, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                APPS ()
            }

            If (And (PF01, 0x18))
            {
                APCT ()
            }

            Store (PF01, PF00)
            Return (Zero)
        }

        Method (APCT, 0, Serialized)
        {
            If (LAnd (And (CFGD, 0x72), LNot (And (SDTL, 0x20))))
            {
                Or (SDTL, 0x20, SDTL)
                OperationRegion (CST1, SystemMemory, DerefOf (Index (SSDT, 0x0A)), DerefOf (Index (SSDT, 0x0B)))
                Load (CST1, HC1)
            }
        }

        Method (APPT, 0, Serialized)
        {
            If (LAnd (And (CFGD, One), LNot (And (SDTL, 0x10))))
            {
                Or (SDTL, 0x10, SDTL)
                OperationRegion (IST1, SystemMemory, DerefOf (Index (SSDT, 0x04)), DerefOf (Index (SSDT, 0x05)))
                Load (IST1, HI1)
            }
        }

        Method (APPS, 0, Serialized)
        {
            If (LAnd (LOr (And (CFGD, One), And (CFGD, 0x00400000)), LNot (And (SDTL, 0x0200))))
            {
                Or (SDTL, 0x0200, SDTL)
                OperationRegion (PSD1, SystemMemory, DerefOf (Index (SSDT, 0x19)), DerefOf (Index (SSDT, 0x1A)))
                Load (PSD1, HP1)
            }
        }

        Method (HWPT, 0, Serialized)
        {
            If (LGreaterEqual (OSYS, 0x07DF))
            {
                If (LAnd (And (CFGD, 0x00400000), LNot (And (SDTL, 0x80))))
                {
                    Or (SDTL, 0x80, SDTL)
                    OperationRegion (HWP1, SystemMemory, DerefOf (Index (SSDT, 0x10)), DerefOf (Index (SSDT, 0x11)))
                    Load (HWP1, HW1)
                }
            }
        }
    }

    Scope (\_SB.PR02)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST02)
            CreateDWordField (Arg0, 0x04, CP02)
            If (LOr (LEqual (ST02, 0x06), LEqual (ST02, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST02, One))
            {
                And (CP02, 0x0BFF, CP02)
                Return (Zero)
            }

            Or (And (PF02, 0x7FFFFFFF), CP02, PF02)
            If (LEqual (And (PF02, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF02, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF02, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF02, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR03)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST03)
            CreateDWordField (Arg0, 0x04, CP03)
            If (LOr (LEqual (ST03, 0x06), LEqual (ST03, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST03, One))
            {
                And (CP03, 0x0BFF, CP03)
                Return (Zero)
            }

            Or (And (PF03, 0x7FFFFFFF), CP03, PF03)
            If (LEqual (And (PF03, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF03, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF03, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF03, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR04)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST04)
            CreateDWordField (Arg0, 0x04, CP04)
            If (LOr (LEqual (ST04, 0x06), LEqual (ST04, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST04, One))
            {
                And (CP04, 0x0BFF, CP04)
                Return (Zero)
            }

            Or (And (PF04, 0x7FFFFFFF), CP04, PF04)
            If (LEqual (And (PF04, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF04, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF04, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF04, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR05)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST05)
            CreateDWordField (Arg0, 0x04, CP05)
            If (LOr (LEqual (ST05, 0x06), LEqual (ST05, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST05, One))
            {
                And (CP05, 0x0BFF, CP05)
                Return (Zero)
            }

            Or (And (PF05, 0x7FFFFFFF), CP05, PF05)
            If (LEqual (And (PF05, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF05, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF05, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF05, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR06)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST06)
            CreateDWordField (Arg0, 0x04, CP06)
            If (LOr (LEqual (ST06, 0x06), LEqual (ST06, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST06, One))
            {
                And (CP06, 0x0BFF, CP06)
                Return (Zero)
            }

            Or (And (PF06, 0x7FFFFFFF), CP06, PF06)
            If (LEqual (And (PF06, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF06, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF06, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF06, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR07)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST07)
            CreateDWordField (Arg0, 0x04, CP07)
            If (LOr (LEqual (ST07, 0x06), LEqual (ST07, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST07, One))
            {
                And (CP07, 0x0BFF, CP07)
                Return (Zero)
            }

            Or (And (PF07, 0x7FFFFFFF), CP07, PF07)
            If (LEqual (And (PF07, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF07, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF07, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF07, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR08)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST08)
            CreateDWordField (Arg0, 0x04, CP08)
            If (LOr (LEqual (ST08, 0x06), LEqual (ST08, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST08, One))
            {
                And (CP08, 0x0BFF, CP08)
                Return (Zero)
            }

            Or (And (PF08, 0x7FFFFFFF), CP08, PF08)
            If (LEqual (And (PF08, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF08, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF08, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF08, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR09)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST09)
            CreateDWordField (Arg0, 0x04, CP09)
            If (LOr (LEqual (ST09, 0x06), LEqual (ST09, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST09, One))
            {
                And (CP09, 0x0BFF, CP09)
                Return (Zero)
            }

            Or (And (PF09, 0x7FFFFFFF), CP09, PF09)
            If (LEqual (And (PF09, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF09, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF09, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF09, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR10)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST10)
            CreateDWordField (Arg0, 0x04, CP10)
            If (LOr (LEqual (ST10, 0x06), LEqual (ST10, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST10, One))
            {
                And (ST10, 0x0BFF, CP10)
                Return (Zero)
            }

            Or (And (PF10, 0x7FFFFFFF), CP10, PF10)
            If (LEqual (And (PF10, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF10, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF10, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF10, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR11)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST11)
            CreateDWordField (Arg0, 0x04, CP11)
            If (LOr (LEqual (ST11, 0x06), LEqual (ST11, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST11, One))
            {
                And (ST11, 0x0BFF, CP11)
                Return (Zero)
            }

            Or (And (PF11, 0x7FFFFFFF), CP11, PF11)
            If (LEqual (And (PF11, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF11, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF11, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF11, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR12)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST12)
            CreateDWordField (Arg0, 0x04, CP12)
            If (LOr (LEqual (ST12, 0x06), LEqual (ST12, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST12, One))
            {
                And (ST12, 0x0BFF, CP12)
                Return (Zero)
            }

            Or (And (PF12, 0x7FFFFFFF), CP12, PF12)
            If (LEqual (And (PF12, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF12, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF12, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF12, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR13)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST13)
            CreateDWordField (Arg0, 0x04, CP13)
            If (LOr (LEqual (ST13, 0x06), LEqual (ST13, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST13, One))
            {
                And (ST13, 0x0BFF, CP13)
                Return (Zero)
            }

            Or (And (PF13, 0x7FFFFFFF), CP13, PF13)
            If (LEqual (And (PF13, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF13, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF13, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF13, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR14)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST14)
            CreateDWordField (Arg0, 0x04, CP14)
            If (LOr (LEqual (ST14, 0x06), LEqual (ST14, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST14, One))
            {
                And (ST14, 0x0BFF, CP14)
                Return (Zero)
            }

            Or (And (PF14, 0x7FFFFFFF), CP14, PF14)
            If (LEqual (And (PF14, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF14, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF14, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF14, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR15)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST15)
            CreateDWordField (Arg0, 0x04, CP15)
            If (LOr (LEqual (ST15, 0x06), LEqual (ST15, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST15, One))
            {
                And (ST15, 0x0BFF, CP15)
                Return (Zero)
            }

            Or (And (PF15, 0x7FFFFFFF), CP15, PF15)
            If (LEqual (And (PF15, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF15, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF15, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF15, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR16)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST16)
            CreateDWordField (Arg0, 0x04, CP16)
            If (LOr (LEqual (ST16, 0x06), LEqual (ST16, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST16, One))
            {
                And (ST16, 0x0BFF, CP16)
                Return (Zero)
            }

            Or (And (PF16, 0x7FFFFFFF), CP16, PF16)
            If (LEqual (And (PF16, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF16, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF16, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF16, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR17)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST17)
            CreateDWordField (Arg0, 0x04, CP17)
            If (LOr (LEqual (ST17, 0x06), LEqual (ST17, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST17, One))
            {
                And (ST17, 0x0BFF, CP17)
                Return (Zero)
            }

            Or (And (PF17, 0x7FFFFFFF), CP17, PF17)
            If (LEqual (And (PF17, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF17, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF17, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF17, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR18)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST18)
            CreateDWordField (Arg0, 0x04, CP18)
            If (LOr (LEqual (ST18, 0x06), LEqual (ST18, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST18, One))
            {
                And (ST18, 0x0BFF, CP18)
                Return (Zero)
            }

            Or (And (PF18, 0x7FFFFFFF), CP18, PF18)
            If (LEqual (And (PF18, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF18, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF18, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF18, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR19)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST19)
            CreateDWordField (Arg0, 0x04, CP19)
            If (LOr (LEqual (ST19, 0x06), LEqual (ST19, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST19, One))
            {
                And (ST19, 0x0BFF, CP19)
                Return (Zero)
            }

            Or (And (PF19, 0x7FFFFFFF), CP19, PF19)
            If (LEqual (And (PF19, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF19, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF19, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF19, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR20)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST20)
            CreateDWordField (Arg0, 0x04, CP20)
            If (LOr (LEqual (ST20, 0x06), LEqual (ST20, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST20, One))
            {
                And (ST20, 0x0BFF, CP20)
                Return (Zero)
            }

            Or (And (PF20, 0x7FFFFFFF), CP20, PF20)
            If (LEqual (And (PF20, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF20, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF20, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF20, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR21)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST21)
            CreateDWordField (Arg0, 0x04, CP21)
            If (LOr (LEqual (ST21, 0x06), LEqual (ST21, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST21, One))
            {
                And (ST21, 0x0BFF, CP21)
                Return (Zero)
            }

            Or (And (PF21, 0x7FFFFFFF), CP21, PF21)
            If (LEqual (And (PF21, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x21))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF21, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF21, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF21, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR22)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST22)
            CreateDWordField (Arg0, 0x04, CP22)
            If (LOr (LEqual (ST22, 0x06), LEqual (ST22, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST22, One))
            {
                And (ST22, 0x0BFF, CP22)
                Return (Zero)
            }

            Or (And (PF22, 0x7FFFFFFF), CP22, PF22)
            If (LEqual (And (PF22, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF22, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF22, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF22, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB.PR23)
    {
        Method (_PDC, 1, NotSerialized)  // _PDC: Processor Driver Capabilities
        {
            Store (\_SB.PR00.CPDC (Arg0), Local0)
            GCAP (Local0)
        }

        Method (_OSC, 4, NotSerialized)  // _OSC: Operating System Capabilities
        {
            Store (\_SB.PR00.COSC (Arg0, Arg1, Arg2, Arg3), Local0)
            GCAP (Local0)
            Return (Local0)
        }

        Method (GCAP, 1, NotSerialized)
        {
            CreateDWordField (Arg0, Zero, ST23)
            CreateDWordField (Arg0, 0x04, CP23)
            If (LOr (LEqual (ST23, 0x06), LEqual (ST23, 0x0A)))
            {
                Return (Zero)
            }

            If (And (ST23, One))
            {
                And (ST23, 0x0BFF, CP23)
                Return (Zero)
            }

            Or (And (PF23, 0x7FFFFFFF), CP23, PF23)
            If (LEqual (And (PF23, 0x09), 0x09))
            {
                \_SB.PR01.APPT ()
            }

            If (And (\_SB.OSCP, 0x20))
            {
                \_SB.PR01.HWPT ()
            }

            If (LOr (LEqual (And (PF23, 0x09), 0x09), And (\_SB.OSCP, 0x20)))
            {
                \_SB.PR01.APPS ()
            }

            If (And (PF23, 0x18))
            {
                \_SB.PR01.APCT ()
            }

            Store (PF23, PF00)
            Return (Zero)
        }
    }

    Scope (\_SB)
    {
        If (LEqual (TXTE, One))
        {
            Device (ACM)
            {
                Name (_HID, "INTC1025")  // _HID: Hardware ID
                Method (_CID, 0, NotSerialized)  // _CID: Compatible ID
                {
                    And (\_SB.CPID, 0xFFFFFFF0, Local0)
                    If (LOr (LEqual (Local0, 0x000806C0), LEqual (Local0, 0x000806D0)))
                    {
                        Return ("INT_TGL_SINIT")
                    }

                    If (LEqual (Local0, 0x000A0670))
                    {
                        Return ("INT_RKLS_SINIT")
                    }

                    If (LAnd (LEqual (Local0, 0x000A0650), LNotEqual (\_SB.CPID, 0x000A0652)))
                    {
                        Return ("INT_CMLS_SINIT")
                    }

                    Return ("INT_UNK_SINIT")
                }
            }
        }
    }
}

